# Changelog

## [0.1.3](https://github.com/bahamoth/rust-minidump-mcp/compare/v0.1.2...v0.1.3) (2025-07-03)


### Bug Fixes

* Publish to PyPI instead of TestPyPI ([7578f3f](https://github.com/bahamoth/rust-minidump-mcp/commit/7578f3fd1583911344e3d4599cac2949e26091a6))

## [0.1.2](https://github.com/bahamoth/rust-minidump-mcp/compare/v0.1.1...v0.1.2) (2025-07-03)


### Bug Fixes

* update READMEs with simplified installation and prompt info ([72b24f8](https://github.com/bahamoth/rust-minidump-mcp/commit/72b24f89ea682696718e24a793d20f951342bb2c))

## [0.1.1](https://github.com/bahamoth/rust-minidump-mcp/compare/v0.1.0...v0.1.1) (2025-07-03)


### Features

* add argument validation and JSON parameter support for client commands ([54b0c61](https://github.com/bahamoth/rust-minidump-mcp/commit/54b0c614a8766b1cd8fa4f68205698a5816a4002))
* add CLI client commands and refactor server settings ([cce8511](https://github.com/bahamoth/rust-minidump-mcp/commit/cce8511d706113c489d3e0aad041b228d0884691))
* add client settings, exceptions, and update README ([6a7999f](https://github.com/bahamoth/rust-minidump-mcp/commit/6a7999f964be7d06a6251427625783710c68e865))
* add crash generator test programs and build scripts ([324220e](https://github.com/bahamoth/rust-minidump-mcp/commit/324220e3263b104c5acfb58f502438d2d5b6fc09))
* add dump_syms tool for extracting Breakpad symbols ([b16acde](https://github.com/bahamoth/rust-minidump-mcp/commit/b16acde9fc9fc64c3614ca2f4df07cc135e8e558))
* add FastMCP client cli and expert prompts for minidump crash analysis ([a627a35](https://github.com/bahamoth/rust-minidump-mcp/commit/a627a35a4391fdd5fc749aa6205d5c1308a28a0d))
* add release automation and documentation ([428e913](https://github.com/bahamoth/rust-minidump-mcp/commit/428e9139e76e443aeec0c99fe5d2fe79d1bd5043))
* add Rust tools installation and server entry point ([17a7e97](https://github.com/bahamoth/rust-minidump-mcp/commit/17a7e972b0d22469c5ea4fb758fbb94f9f454a38))
* add server command to CLI and set default transport to streamable-http ([05724a7](https://github.com/bahamoth/rust-minidump-mcp/commit/05724a702d0401c9e8ae8963ff719f28ff090fac))
* add server configuration module, .env example, and dynamic transport handling ([190ac5e](https://github.com/bahamoth/rust-minidump-mcp/commit/190ac5e8086333d62e47fb05b7d07f1456710e47))
* add uvx support for dependency-free execution ([d0e9cd4](https://github.com/bahamoth/rust-minidump-mcp/commit/d0e9cd407ea182bf5fbd05b74eae8226fc33414c))
* Added stackwalk tool integration and tests ([2f1ae9b](https://github.com/bahamoth/rust-minidump-mcp/commit/2f1ae9b00b0fef3a345af02cf6bcdb4dad22f133))
* integrate crash analysis prompts and platform-specific tool detection ([9c47a7f](https://github.com/bahamoth/rust-minidump-mcp/commit/9c47a7f0c4d4713c8a41a57cdf8f798b33743708))
* migrate to FastMCP and update dependencies ([042588e](https://github.com/bahamoth/rust-minidump-mcp/commit/042588e1d763ddfda1db4a8ef6efa42f3b7b9602))


### Bug Fixes

* address Copilot review feedback ([7d36f76](https://github.com/bahamoth/rust-minidump-mcp/commit/7d36f76e02267a502a35fd7997a0561cdd4e2325))
* ensure mypy passes ([0ad0ef3](https://github.com/bahamoth/rust-minidump-mcp/commit/0ad0ef32d92c89e8e2197d0a246eb5110cf3210a))
* register pytest integration marker to resolve warning ([10fab3c](https://github.com/bahamoth/rust-minidump-mcp/commit/10fab3c40f614a23437eb063cea4459bba30e429))


### Documentation

* add AGENTS.md guide for AI crash-analysis agents ([0315022](https://github.com/bahamoth/rust-minidump-mcp/commit/0315022990f92dd8d41dd8ed05000300a2965c79))
* add LICENSE, badges, and Korean README ([67d70ba](https://github.com/bahamoth/rust-minidump-mcp/commit/67d70ba682e4765c3221299bc1182162c4d457f6))
* fix analysis workflow examples ([d63c663](https://github.com/bahamoth/rust-minidump-mcp/commit/d63c6632e903f0d3b4eadaf5bec26fe3bdd5d694))
* improve project abstract to reflect true purpose ([684eefd](https://github.com/bahamoth/rust-minidump-mcp/commit/684eefd8d650010121467f0420e7d6728b2f17a5))
* move features section to top and remove workflow examples ([1167be6](https://github.com/bahamoth/rust-minidump-mcp/commit/1167be698f3696dade2ef3443be438334811850d))
* reorganize README for better user experience ([da588fe](https://github.com/bahamoth/rust-minidump-mcp/commit/da588fe265d56aae2940b1d587781c2ec018f75c))
* simplify installation instructions ([5481351](https://github.com/bahamoth/rust-minidump-mcp/commit/5481351b4a7568e3198675b2800033529904409f))
* Update AGENTS.md and bump Python version to 3.13 ([ef2bf26](https://github.com/bahamoth/rust-minidump-mcp/commit/ef2bf2697a46d8f81296619e18d90b404911097e))
* Update AGENTS.md with rust-minidump MCP guide ([bfc7d0e](https://github.com/bahamoth/rust-minidump-mcp/commit/bfc7d0e8c30f40f716de06caa578c15ffaaf806b))
* update command references from minidump-mcp to rust-minidump-mcp ([e242c52](https://github.com/bahamoth/rust-minidump-mcp/commit/e242c5220fb638f33a689a1dfac01bb9766dce16))
